=head1 NAME

Gtk2::IconFactory

=cut

=head1 HIERARCHY

  Glib::Object
  +----Gtk2::IconFactory



=cut

=head1 INTERFACES

  Gtk2::Buildable



=cut


=head1 METHODS

=head2 iconfactory = Gtk2::IconFactory-E<gt>B<new> 

=head2 $factory-E<gt>B<add> ($stock_id, $icon_set)

=over

=item * $stock_id (string) 

=item * $icon_set (Gtk2::IconSet) 

=back

=head2 $factory-E<gt>B<add_default> 

=head2 iconset = $factory-E<gt>B<lookup> ($stock_id)

=over

=item * $stock_id (string) 

=back

=head2 iconset = Gtk2::IconFactory-E<gt>B<lookup_default> ($stock_id)

=over

=item * $stock_id (string) 

=back

=head2 $factory-E<gt>B<remove_default> 



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

